 Introduction

Welcome to Screen Scapes, a full-featured screen saver by Forward Design. Screen Scapes is unique in its ability to combine daily reminders and inspirational quotations with a slideshow of computer graphics and animations.

When the Screen Scapes screen saver is activated it will display a slideshow of images. It may also display a message on top of these images. The message may be specific to today's date, a message from the quote list, the current day/date/time, or a combination of these options.

Once installed, the Screen Scapes screen saver will run automatically. You can take as much (or as little) control of the settings that Screen Scapes uses to display the Windows screen saver.

The default settings will give you a beautiful screen saver experience. And if you want to "get under the hood" you can make changes to Screen Scapes' settings. Enter messages into the calendar, add quotes to the list, tweak the timing, transitions, and more. You can even use Screen Scapes to create your own custom screen saver.

Next Section - Screen Saver Basics


 Screen Saver Basics

If you are new to computers and the whole concept of screen savers then this section will give you some helpful background information.

A Little History
Back in the 1980's, when computers had monochrome screens that displayed green text on a black background, there was a problem with burning in the phosphor on the computer's monitor. After a while the heavily used areas of the screen looked "burned in" and displayed a weaker image. You may have noticed this on older computer terminals, automatic teller machines, and other vintage computer equipment.

Computers were programmed to make the screen go blank after a certain period of inactivity at the keyboard, thereby saving the screen from getting burned-in areas. When the user returned to work, pressing any key would cause the screen to be refreshed.

Modern Screen Savers
The modern screen saver has become much more than a means for saving the screen from burning out the phosphor. Microsoft Windows® comes with some standard screen savers like the flying windows and 3D graphics demos, and also allows you to install your own screen saver program.

Installing Screen Scapes
Screen Scapes will install itself automatically when you run the program file you received via download or CD-ROM. Accompanying Screen Saver Module(s) will also be loaded at this time. When you install Screen Scapes it becomes your default screen saver and after a few minutes of inactivity it will begin a slideshow of beautiful images.

Screen Saver Modules
Screen Scapes works with Screen Saver Modules, which are images and text data. You can load more than one Screen Saver Module to increase the variety of pictures displayed.

Next Section - Using Screen Scapes


 Using Screen Scapes

Setting the Wait Time
Once Screen Scapes is installed it is ready to display a slideshow but Windows will wait for a period of inactivity before running the screen saver program. You can set the Wait Time by going to the Windows screen saver panel where you can

  • Select the screen saver program.
  • Set the Wait time.
  • Enter the screen saver Settings.
  • Preview the screen saver.
  • Set a screen saver password.

Windows often gives you a few ways to do the same thing. The quickest way to get to the Windows screen saver panel is to

  • Right-click on the desktop background.
  • Select Properties from the menu.
  • Select the Screen Saver tab on the Display Properties window.
    Click here for detailed instructions.

Clicking on the Settings button will bring up the Screen Scapes calendar.

Running Screen Scapes
Once the screen saver is running and you are viewing the slideshow you can use the cursor keys on your keyboard to control the presentation.

Use the UP cursor key to pause the slideshow.
Use the DOWN cursor key to continue the slideshow.
Use the LEFT cursor key to view the previous image.
Use the RIGHT cursor key to view the next image.

Next Section - Using the Calendar


Calendar

You can get to the Screen Scapes calendar by right-clicking on the desktop, choose Properties, Screen Saver, and then Settings.
Click here for detailed instructions.

The first settings screen is the Calendar. This is the place to enter daily reminder messages into Screen Scapes. The reminders will be displayed at the top, middle or bottom of the screen, or not at all. You can choose the font size, color and position for the reminders in Advanced Settings.

Buttons on the right side of the calendar perform various functions:

Click on the OK button to save changes and exit.
Click on the Cancel button to exit the calendar without saving your work.
Go to the next month.
Go to the previous month.
Clears all of the reminder data for the month that is currently displayed.
Clicking on the View Saver button will activate the Screen Scapes screen saver immediately. Moving the mouse or typing on the keyboard will cause the screen saver to return to the calendar screen.
The Settings button will open the Settings dialog with further settings for Loading/Unloading screen saver modules, editing the picture and quote lists, changing the display, and more.
The About button will open a new screen with information about the program including copyright info and links to related web sites.
The Help button will open a new screen with hypertext help information on using the Screen Scapes program. The HTML Help works best with Microsoft Internet Explorer version 4.0 or greater installed on your system.

Entering Reminders into the Calendar
You can create a reminder for any particular calendar day by simply clicking on that date on the calendar and entering the reminder text. Your reminder will be displayed on the date you have chosen.

You can enter as much text as you like for each day. Keep in mind that it will be displayed by the screen saver in the font size you have selected in the Advanced Settings and if there is too much text it may not all be displayed.

Some typical uses for the daily reminders is to give yourself notice for business appointments, birthdays, anniversaries, sports events, general reminders, etc. It's always a good idea to give yourself some advance warning for important events.

Keyboard Navigation
There are many keyboard shortcuts for navigating and editing information in the calendar. You may find it's easier than using the mouse because your hands don't leave the keyboard.

Tab | Moves the cursor forward one day.
SHIFT - Tab | Moves the cursor back one day.
Right Arrow | Moves the cursor forward one character.
CTRL - Right Arrow | Moves the cursor forward one word.
Home | Moves the cursor to the beginning of the line.
End | Moves the cursor to the end of the line.
SHIFT - Delete | Deletes the selected text and copies it into the Windows clipboard.
SHIFT - Insert | Pastes the clipboard text to the current cursor position.

Holding down the SHIFT key while moving the cursor key selects the text that the cursor moves over.

Calendar Data and Screen Saver Modules
Some screen saver modules, like those for sports teams, come with reminder text already entered into the module. When a new screen saver module is loaded, and it contains reminders, you will be prompted on whether you want the new reminders appended to any existing reminder data in your calendar. If you answer "Yes" then the new reminders will be appended to the current calendar reminders. If you answer "No" then the new reminders will be discarded, leaving only the existing calendar reminders.

Calendar reminders are associated with a specific Screen Saver Module, so unloading a module will remove only the reminders associated with that module. If you have several modules loaded and decide to remove one, only the reminders associated with that module will be removed.

Next Section - Screen Saver Modules


Screen Saver Modules

Screen Scapes has two parts:

  • The Screen Scapes Program.
    The program runs the slideshow and lets you tweak the settings.

  • The Screen Saver Modules.
    A module is a set of images and data. The images are usually related to a common theme, like a sports team, baby pictures, scuba diving, wildlife pictures, etc. A screen saver module may also contain data for messages stored in the calendar and quote list.

Click on the Settings button from the Calendar to get to the Settings dialog.

Screen Scapes' Settings dialog has provisions for loading multiple Screen Saver Modules.

Screen Scapes uses screen saver modules to make it easy to collect and display a variety of screen saver themes.

Images and Data
A Screen Saver Module is a set of images and data. The images are those displayed by the Screen Scapes screen saver program. The data is a collection of the text from the calendar, text from the quote file, and other data that links the text data to a specific Screen Saver Module.

You don't need to worry about the details, just be aware that a Screen Saver Module is more than a set of pictures.

Loading More Than One Module
When you load a new screen saver module Screen Scapes will ask if you want the module to be automatically loaded. Answer "Yes" to have the module loaded automatically.

You don't need to worry about changing the settings. Screen Scapes works well with the default settings.

If you do want to venture into the screen saver settings then understand that you have the option to display all or some of the available modules.

For example, you may have modules for the Minnesota Vikings, Dragon Attack and Wildlife1. Football is out of season, so you don't want to display the football pictures. You can simply Unload that particular screen saver module. If a module is not loaded it will not be displayed. It will still be available, but it will not be displayed by the screen saver unless it is loaded. You will see any unloaded screen saver modules on the Available List but not on the Loaded List. You can re-load the Minnesota Vikings module when the football season begins again. Just select it from the Available list and click on the Load Saver button in the Screen Saver Modules area.

Available Screen Saver Modules
The list of Available Screen Saver Modules is a list of all the modules you've purchased or created. Technically it's a list of every .ssm file in your C:\Windows\ directory. It is possible for a module to be on the Available list but not on the Loaded list.

If you click on the Get More Savers button then your web browser will be launched and take you a website where there are lots of Screen Saver Modules available. If you download and install a new module it will automatically be added to the list of Available Screen Saver Modules and you will be prompted to add the new module to the list of Loaded Screen Saver Modules. If you answer "Yes" then the new module will run the next time Screen Scapes is activated.

If you have a screen saver module that has been unloaded, then click on the Load Saver - > button to add it to the list of Loaded Screen Saver Modules.

Loaded Screen Saver Modules
The list of Loaded Screen Saver Modules shows all of the modules that will be displayed by Screen Scapes. You may have more modules available, but all of the modules that are currently loaded are listed here.

The first loaded module sets the font, timing, colors and display settings. Loading additional modules does not change the font and display settings set by the first loaded module.

Unloading Screen Saver Modules
When you load a screen saver module you are loading a set of images, a set of quote text, and a set of reminders. When you load additional screen saver modules the new images and messages are appended to any images and messages that are already loaded. When you unload a module it will remove the reminder and quote text that are associated with that particular module.

When you load a module you will see the module's picture names appear on the Picture List and if there are any quotes in the module you will see the quote text appear on the Quote List. When you Unload a module you will see the picture names and quote text removed.

Unload All Savers
Don't worry about unloaded modules disappearing from your system. None of the picture and text data is ever deleted by Screen Scapes. These Load/Unload controls simply allow you to manipulate the list of Loaded Screen Saver Modules. In fact, if you accidentally loaded a module twice, or you don't like the order, then you can click on the Unload All Savers button to clear the entire list of loaded modules. The modules will still be available on the Available Screen Saver Modules list and you can use the Load Saver button to put them on the Loaded list in any order you like.

Next Section - Picture List


 Picture List

The Picture List is found on the Settings dialog and it shows the filenames of pictures that are loaded. These are the pictures that will be displayed when the screen saver is activated. You can edit this list using the Add, Remove, Cut and Paste buttons.

Adding Pictures to the Picture List
Use the Add Pictures button to add a new picture to the picture list. When you click on the Add Pictures button a file browser window will appear. Select a picture file and it will be added to the list at the bottom position. If you want to move it to another position then use the Cut Pictures and Paste Pictures buttons. (see Cutting and Pasting below)

You can also "drag and drop" picture files from Windows Explorer or the Windows desktop. Drag the picture icon onto the Picture List and release the mouse button. The picture filename will be added to the Picture List.

Finding the Pictures
Screen saver modules are installed in your C:\Windows\ directory. For example, if you installed the Wildlife1 screen saver module then the pictures are located in the C:\Windows\Wildlife1\ directory. You can also add pictures from any directory on your system. If the picture file is moved or deleted from its original directory, however, Screen Scapes will not be able to display the picture.

Removing Pictures from the Picture List
Use the Remove Picture button to remove the selected picture from the picture list. This does not delete the picture from your system. It only removes it from the list of pictures that will be displayed when the screen saver is activated.

The Remove picture button works slightly differently than the Cut Pictures button. When you use the Cut button the picture can then be pasted to another position on the list, but when you use the Remove button the picture is just removed from the list. You can always Add that same picture to the list again if you change your mind.

Cutting and Pasting
Use the Cut Pictures and Paste Pictures buttons to move items around on the picture list. When you cut a picture it is taken off the list, but Screen Scapes remembers the file and it can be placed back on the list using the Paste button. When a file is pasted to the list it is placed in the position just above the currrently selected picture.

Picture Formats
Screen Scapes supports a variety of picture and multimedia formats, including .bmp .jpg .jpeg .cmp .mac .pct .msp .pcx .png .psd .ras .tga .tif .wmf .pcd. Screen Scapes also supports Video for Windows (.avi), MPEG (.mpg), Quicktime (.mov) and MP3 multimedia formats. If an item is placed on the picure list, and the format is not supported by Screen Scapes then it will not be displayed.

Resizing Pictures
Screen Scapes will resize the pictures that it displays to the full width and/or height or your screen. Screen Scapes uses sub-pixel rendering when resizing images to give you the highest quality image resolution possible.

Next Section - The Quote List


Quote List

The Quote List shows the quotes that are loaded and available to be displayed. You can add quotes to the list manually or import multiple quotes from a text file. A quote may be associated with a specific picture or displayed randomly depending on the settings you choose.

A quote can be any saying or message that you like. The quote text will be displayed in addition to reminders entered into the calendar. If there is author information it will be dispalyed in a smaller font below the quote.

Using the Quote List - A Quick Tutorial

  1. Click in the Quote Box and enter the text "What's up doc?".

  2. Click on the Add As New button. You will see the quote appear as an item on the Quote List.

  3. Click in the Quote's Author box and enter the text "Bugs Bunny".

  4. Click on the Quote's Picture pull-down list and select a picture. The list of available pictures depends on the pictures you have loaded. Your system will have different selections than those shown here.

  5. Click on the Apply Changes button. You won't see anything happen on the screen, but the changes are applied to the currently selected quote.

  6. Click on the Add As New button to get another copy of that same quote added to the list. Notice that there are now 2 items on the list with the same information.

  7. Click on the Remove Quotes button to remove the selected quote from the quote list. (Leave at least one copy of the "What's up doc?" quote on the list for this example.)

  8. Click on the View Quote button. This will launch the screen saver and you should see the Bugs Bunny quote on the picture you picked in step 4.

Adding Quotes Manually
To add a quote to the screen saver, type it into the quote box and then click on the Add As New button. Whenever you click on the Add As New button you get a new item on the quote list.

Keyboard Controls
After entering the quote information you can use the Tab key on the keyboad to advance the cursor to the Quote's Author field. Pressing the Tab key again takes you to the Quote's Picture field where you can use the up and down cursor keys to select a quote from the list without using the mouse.

NOTE: If you press the Enter key while entering quote information then Windows thinks you have selected the default button on this dialog which is the OK button, so you will exit from the Settings dialog.

You can select multiple items on the quote list by holding down the CTRL key and selecting with the mouse.

Making Changes to a Quote
If you want to modify a quote on the list then select it, make the changes to the quote, author or picture file, and then click on the Apply Changes button. There is always a blank item at the end of the quote list. You can select the blank item and enter quote, author and picture information. Be sure to select the Apply Changes button to save this new information.

Cutting and Pasting Quotes
Use the Cut Quotes and Paste Quotes buttons to edit the order of the items on the Quote List. When you click on the Cut Quotes button the currently selected quote is removed from the list but Screen Scapes remembers that information. Now you can select a new position on the list and click the Paste button. The previously cut quote information will be inserted to the new position on the list. The Paste button adds the quote to the position just above the currently selected quote.

Adding Quotes From a Text File
You can add mulitple items to the quote list from a text file using the Import Quotes function. When you click on the Import Quotes button you will be asked to choose the quote format of the file you are about to import. There are 4 options:

  1. Quotes Without Author Information
    These files are formatted with one quote message after another.
    Quote1
Quote2
Quote3
and so on...
  2. Quotes With Author Information
    These files are formatted with the quote message on one line, followed by the quote's author on the next line.
    Quote1
Author1
Quote2
Author2
Quote3
Author3
and so on...
  3. Quotes With Picture Information
    These files are formatted with the quote message on one line, followed by the pathname to a specific picture file on the next line.

    Quote1
Picture Path1
Quote2
Picture Path2
Quote3
Picture Path3
and so on...
  4. Quotes With Author And Picture Information
    These files are formatted with the quote message on one line, followed by the author information on the next line and the picture path on the next line.
    Quote1
Author1
Picture Path1
Quote2
Author2
Picture Path2
Quote3
Author3
Picture Path3
and so on...

    The Picture Path can be a relative path or a specific pathname. A relative path assumes the Screen Scapes installation directory C:\Windows\ and the Picture Path need only contain subdirectory and file information. Sportsman pictures, for example, would be found in Sportsman\picture1. The specific Picture Path would be C:\Windows\Sportsman\picture1

Quotes and Screen Saver Modules
When you load a screen saver module it may contain quote data. This quote information will be appended to any other information already loaded. If you unload the module Screen Scapes will remember and remove only the pictures and quote information that were included with that module.

Importance of the Quote List
The reason to keep the quote information in order is because Screen Scapes can display the screen saver in two ways - giving priority to the Picture List or to the Quote List. When the Picture List has priority it will go through the list of pictures and use the next available quote. When the Quote list has priority then the screen saver will go through the list of quotes, and if a picture is specified then the quote will be displayed with that picture. You can select whether Screen Scapes runs the screen saver in Picture Order or Quote Order on the Advanced Settings screen.

Next Section - Display Settings


Display Settings

In the bottom left portion of the Settings dialog you will find the Display Settings. These settings are applied to the entire screen saver operation and not to a particular picture or quote.

Change Daily or Every Few Seconds
The first option determines whether the screen saver changes the image every day or every few seconds. If you choose to have the picture changed every few seconds then you can also specify the number of seconds.

Display in Order or Randomly
The next option determines whether the screen saver changes its display in order or at random. This is related to the setting on the Advanced screen for assigning priority to the Picture List or the Quote List. There are four combinations of these settings that give you control of how the screen saver displays pictures and quotes.

  1. Display in Picture Order (In Order)
    The screen saver will go through the list of pictures in order. If quotes are displayed then they will be taken from the quote list in order. Any picture file associations in the quote list will not be observed.

  2. Display in Picture Order (Randomly)
    The screen saver will go through the list of pictures randomly. If quotes are displayed then they will be taken from the quote list in order. Any picture file associations in the quote list will not be observed.

  3. Display in Quote Order (In Order)
    The screen saver will go through the list of quotes in order. If the quote specifes a picture then that picture will be displayed with the quote. If no picture is specified then the next picture on the picture list will be displayed.

  4. Display in Quote Order (Randomly)
    The screen saver will go through the list of quotes randomly. If the quote specifes a picture then that picture will be displayed with the quote. If no picture is specified then the next picture on the picture list will be displayed.

Access to these options should allow you to configure the program for your particular needs.

Message On/Off Switches
The four check boxes at the bottom of the Display Settings let you select whether or not to display a message. If the box is checked then the message will be displayed.

In the example above, the daily reminders (from the calendar) and the current time will be displayed while the quote messages and today's date will not be displayed.

Next Section - View Buttons


View Buttons

You don't need to wait for the screen saver to be activated by Windows to see the effect of your settings. There are three buttons on the right side of the Settings screen that will acitvate the screen saver immediately. Once the screen saver is running any activity on the mouse or keyboard will return you to the Settings screen.

Run the Screen Saver
Click on the View Saver button to see what the screen saver looks like with the current settings.

Click on the View Picture button to start the screen saver with the currently selected picture. Any reminder messages from the calendar or quote messages from the quote list will also be displayed if they are turned on in the Display Settings.

Click on the View Quote button to view the screen saver starting with the currently selected quote on the Quote List. The particular picture displayed is not a priority for this function. If the quote message is not displayed then check that Display Quotes is turned on in the Display Settings.

Next Section - Load / Save a Saver


Load/Save Saver

The Load Saver and Save Saver buttons are located in the lower right of the Settings dialog. These buttons are used for creating your own screen saver module.

Load Saver
Click on the Load Saver button to load a screen saver module. The information in the module will be appended to any information already loaded into the calendar, the picture list and the quote list.

This Load Saver button (in the lower right) works differently from the one in the Screen Saver Modules section. When you use this button it will not add the module to the Loaded Screen Saver Modules list.

Clicking on the Load Saver button will bring up a file browser. Locate the screen saver module (.ssm file) that you want to load. If the module you select has reminder data for the calendar then you will be asked whether you want that data appended to any information currently in the calendar.

The first loaded module sets the font, timing, colors and display settings. Loading additional modules does not change the font and display settings set by the first loaded module.

Save Saver
Click on the Save Saver button to save the current configuration as your own custom screen saver module. The information in the calendar, the picture list and the quote list will be saved out to a .ssm file. Display settings and font preferences are also saved in screen saver modules.

If there are items on the picture list when the Save Saver button is pressed then the .ssm file will have references to picture paths. These picture pathnames are relative to the directory where Screen Scapes is located.

Read the section on Creating a Custom Screen Saver for more information.

Next Section - Advanced Settings


Advanced Settings

You can get into the Advanced Settings dialog by clicking on the Advanced button on the bottom right of the Settings screen. The Advaced Settings dialog gives you access to further configuration options.

Picture Settings

At the top of the Advanced Settings dialog you are given options for picture transitions and animations (movies).

  • Animation Size can be set from .1x to full screen.

  • Animation Loop can be set from 1x to 100x or infinity.

  • Animation Speed can be set from .1x to 5x.

Where .1x translates to 10% of full size or speed, 3x translates to 300% of full size or speed, etc.

You are also give options for picture transitions.

  • Slideshow Transitions uses a simple bottom-to-top replacement of one image with the next.

  • Smooth Fade Transitions uses a digital crossfade. One images fades out as it is replaced with the next image.

  • Fancy Digital Transitions uses a variety of wipes and reveals to replace the current image with the next one on the list.

Text Alignment, Font and Color
There are three sources for text that may be displayed on the screen when the screen saver is activated.

  • Quote Text from the Quote List
  • Reminder Messages from the Calendar
  • Current Time & Date

Each of these messages can be aligned with the top, middle, or bottom of the screen. Be careful not to display one message on top of another, however, Screen Scapes will try to put space between two messages displayed in the middle of the screen.

When you click on the Font button the Windows font dialog appears so you can choose one of the available TrueType fonts. Choose the Font, the Font Style, and the Size for each message type.

You can also choose the color of the font that will be used for each message. If you choose the User Defined Color option then you can use the Windows color selector to select a color for the text. Screen Scapes will choose a text color automatically if you select the Color Coordinate button.

The front face of the text will be rendered using the selected color. A black drop shadow will also be added to the text.

If you do not see your message displayed then check the Display Settings to see that the quote, reminder, or date/time message box is checked.

Numeric Date Format
The date can be displayed in numeric or alpha-numeric format. The date will be displayed in a numeric format if this box is checked.

Picture or Quote Order
When the screen saver is activated it will begin displaying images from the picture list. You can select whether priority is given to the picture list or the quote list. This is also related to the setting in the Display Properties for displaying pictures in order or randomly.

  • Display in Picture Order (In Order)
    The screen saver will go through the list of pictures in order. If quotes are displayed then they will be taken from the quote list in order. Any picture file associations in the quote list will not be observed.

  • Display in Picture Order (Randomly)
    The screen saver will go through the list of pictures randomly. If quotes are displayed then they will be taken from the quote list in order. Any picture file associations in the quote list will not be observed.

  • Display in Quote Order (In Order)
    The screen saver will go through the list of quotes in order. If the quote specifes a picture then that picture will be displayed with the quote. If no picture is specified then the next picture on the picture list will be displayed.

  • Display in Quote Order (Randomly)
    The screen saver will go through the list of quotes randomly. If the quote specifes a picture then that picture will be displayed with the quote. If no picture is specified then the next picture on the picture list will be displayed.

    • Next Section - Additional Information


Additional Information

This sections contains some additional information on using Screen Scapes.

Getting to the Settings Dialogs
Detailed instructions on how to get to Screen Scapes' Calendar, Settings and Advanced Settings dialogs.

Screen Scapes Files
Learn more about the files used by Screen Scapes.

Create a Custom Screen Saver
Tips on creating your own Screen Saver Modules.

Uninstalling Screen Scapes
How to uninstall Screen Scapes.

Program Credits
Programming and online help credits.


Getting to the Settings Screens

First, you need to get to the Windows screen saver panel.

  • Right-click on your desktop

  • Select Properties.

  • Select the Screen Savers tab.

  • Clicking on the Settings button will bring up the Screen Scapes Calendar.

  • From the Calendar, click on the Settings button to get to the Screen Scapes Settings dialog. The Settings dialog has several sections - Screen Saver Modules on the top, the Picture List and Quote List in the middle, the Display Settings in the bottom left, and various buttons on the right.

  • From the Settings dialog click on the Advanced button to get to the Advanced Settings dialog where you can select the Picture Transitions, Text Settings, and other miscellaneous functions.

Use the Back button to return to the previous topic.

Next Section - Screen Scapes Files


Screen Scape Files

When Screen Scapes is installed there are several files copied to your hard drive. You may want to know where these files are located if you find yourself creating your own custom Screen Saver Modules.

Screen Scapes File Location
Like all other Windows screen savers, Screen Scapes is installed in the C:\Windows\ directory.

There are six Screen Scapes files:

  Screen Scapes.scr - the actual screen saver program
  Screen Scapes.exe - the calendar and settings program
  Screen Scapes.dat - data for calendar info, quotes and other misc info.
  Screen Scapes.upg - text info for an upgrade notice
  Screen Scapes.inx - uninstall script for removing ScreenScapes from your system
  Screen Scapes.chp - the online help file

Screen Saver Modules
Screen Scapes uses screen saver modules which are images and data. The images are stored in a subdirectory of the C:\Windows\ directory. For example, if you have the Sportsman screen saver module installed the pictures are stored in a directory called C:\Windows\Sportsman\. There is also a file in the Windows directory called Sportsman.ssm. This .ssm file is the screen saver module and it contains information about where the picture files are located and any reminder or quote text data.

The Master Data File
All of the calendar and quote data for all of the loaded modules is stored in the the file called Screen Scapes.dat

Picture Formats
Screen Scapes supports a variety of picture formats:

  .jpg  JPEG
  .bmp  Windows and OS/2 BMP
  .tga  Targa
  .tif  Tagged Image File Format (No LZW Decompression)
  .png  Portable Network Graphics
  .mac  MacPaint
  .msp  Microsoft Paint
  .pct  MacPict
  .pcx  ZSoft PCX
  .psd  Adobe Photoshop 3.0
  .ras  Sun Raster
  .wmf  Windows Metafile
  .pcd  Kodak PhotoCD

Multimedia Files
Screen Scapes also supports Video for Windows (.avi), Quicktime (.mov), MPEG (.mpg), and MP3 (mpeg layer 3 audio) files. Screen Scapes can play any multimedia file that can be played by the Microsoft Media Player. All of the animations (movies) that ship with Screen Scapes will work just fine.

If Screen Scapes can not play a particular third-party movie then it will go to the next item on the picture list. If you are having problems playing a movie then be sure that your system supports the video codec used by that movie.

You can see a list of the video codecs installed on your system by going to the Windows Control Panel > Multimedia > Advanced > Video Compression Codecs.

Consult the Microsoft Media Player Help for further assitance on troubleshooting third-party movies.

Next Section - Create a Custom Screen Saver


 Create a Custom Screen Saver

ScreenScapes allows you to create your own custom screen savers. Load your own pictures and quotes and then save the screen saver module (.ssm file) with a new name.

Picture Size
Screen Scapes will resize the pictures that it displays to the full width and/or height or your screen. Screen Scapes will not change the aspect ratio of the pictures it displays. If your Windows screen resolution matches the picture resolution then no resizing will be necessary. Screen Scapes uses sub-pixel rendering when resizing images to give you the highest quality image resolution possible.

Create a Custom Screen Saver
This tutorial will walk you through the steps to create a custom screen saver module.

  1. Create a new folder and store your pictures in this folder.

  2. Click on the Unload All Savers button on the Settings screen. This will clear the picture list and the quote list but will not remove any files from your system.

  3. Click on the Add Pictures button and select one of your pictures from the folder you created in Step 1. Add as many pictures as you like to the Pictures List.

  4. Add quotes to the quote list. You may want to associate the quotes with specific files.

  5. Double-check the Display options on the Settings dialog to see that all the messages you want are displayed, and then preview your screen saver by clicking on the View Saver button.

  6. Finally, in order to save your custom screen saver module, click on the Save Saver button. Enter a name for your new screen saver module and save it as a .ssm file in the C:\Windows\ directory. The module is images and data. The images are stored in the folder you created in Step 1. The data consits of reminder text, quote text, and picture pathnames and is stored in the .ssm file.

You may want to review the sections on the Picture List and the Quote List for more detailed information on adding pictures and quotes.

Next Section - Uninstalling Screen Scapes


Uninstalling Screen Scapes

To uninstall Screen Scapes run the Add/Remove Software program available from the Windows Control Panel.

  1. To get to the Windows Control Panel click on the Windows Start button, then select Settings, then select Control Panel.

  2. Double-click on the Add/Remove Software icon.

  3. Select Screen Scapes from the list of installed programs.

  4. Click on the Add/Remove button.

That's it.

To reinstall Screen Scapes run the original self-extracting program file you received via download or CD-ROM.


Program Credits

Thank You!!
We hope you enjoy using Screen Scapes as much as we've enjoyed bringing beautiful images to your screen.

Programming by Scott Thede of Forward Design.
www.forwarddesign.com

Online Help by Eric Donaldson of Whiz Bang Productions.
www.whizbangpro.com

Special thanks to Mike Bivins.